<?php

namespace App\Http\Controllers\Api;
use App\Http\Controllers\Controller;
use App\Services\HomeService;

class HomeController extends Controller
{
    public function __construct(private HomeService $service)
    {

    }
    public function getAll()
    {
        $response = $this->service->getAll();
        return response()->json($response);
    }

}